GNU logs - #18589, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18589: Why is the the longlines package obsolete?
Resent-From: bruce.connor.am@HIDDEN
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 30 Sep 2014 09:59:01 +0000
Resent-Message-ID: <handler.18589.B.141207112614498 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 18589
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 18589 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Reply-To: bruce.connor.am@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.141207112614498
          (code B ref -1); Tue, 30 Sep 2014 09:59:01 +0000
Received: (at submit) by debbugs.gnu.org; 30 Sep 2014 09:58:46 +0000
Received: from localhost ([127.0.0.1]:55875 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XYuCj-0003ll-5j
	for submit <at> debbugs.gnu.org; Tue, 30 Sep 2014 05:58:45 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60737)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1XYuCg-0003lZ-T5
 for submit <at> debbugs.gnu.org; Tue, 30 Sep 2014 05:58:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arturmalabarba@HIDDEN>) id 1XYuCb-0006Ux-Ut
 for submit <at> debbugs.gnu.org; Tue, 30 Sep 2014 05:58:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.6 required=5.0 tests=BAYES_05,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID,URI_HEX autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:38951)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arturmalabarba@HIDDEN>) id 1XYuCb-0006S2-Sx
 for submit <at> debbugs.gnu.org; Tue, 30 Sep 2014 05:58:37 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33983)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arturmalabarba@HIDDEN>) id 1XYuBT-0006J3-7M
 for bug-gnu-emacs@HIDDEN; Tue, 30 Sep 2014 05:57:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arturmalabarba@HIDDEN>) id 1XYuBS-0006BU-2P
 for bug-gnu-emacs@HIDDEN; Tue, 30 Sep 2014 05:57:27 -0400
Received: from mail-ig0-x22a.google.com ([2607:f8b0:4001:c05::22a]:46278)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arturmalabarba@HIDDEN>) id 1XYuBR-00060Z-Sq
 for bug-gnu-emacs@HIDDEN; Tue, 30 Sep 2014 05:57:26 -0400
Received: by mail-ig0-f170.google.com with SMTP id a13so984491igq.5
 for <bug-gnu-emacs@HIDDEN>; Tue, 30 Sep 2014 02:57:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:date:message-id:subject:from:to
 :content-type; bh=Ku1pROHdEn7OSQ/mlQBbxGuhThegokYLLa1T8BsP4xE=;
 b=JYq2HOkupiaM/iNlhAyEkljbMEIcZzjhNRbSV88U1FlbKeb1VTxHeGGK+Nz48g+e7W
 duBlfuyolTOKMTQMwqouTvS9NkBTYPpSGHmd0FX2M18eq7WZvq9ggXLDm20Cjf7NhvOg
 RjPjTV/RJ9h6hn5ebppUCmh+F/pkn2L6sAZRMZSuOC962RiwJzVOC9SEVS27k0L0Urqn
 TzWKYB96BrLItb5xBPH4ihTR+2KFdaN+ZlqUU+onbGL9jdIds9VjgvnFLdOq/BlrFUiD
 ZBTkx92FhxoQeHgfYEopJf+N6cyuTAfrEmj7snAP0/so2ck4v3N5pkRdYnMfDepdon3I
 jf2A==
MIME-Version: 1.0
X-Received: by 10.50.122.5 with SMTP id lo5mr6216386igb.25.1412071039138; Tue,
 30 Sep 2014 02:57:19 -0700 (PDT)
Received: by 10.64.9.241 with HTTP; Tue, 30 Sep 2014 02:57:19 -0700 (PDT)
Date: Tue, 30 Sep 2014 10:57:19 +0100
X-Google-Sender-Auth: 52bzkCqK2HbEXzZoAqF_NN3z66o
Message-ID: <CAAdUY-JcSwV5vnYQ+CEbqxTNXm0+TuA7k=jSm8PfwZYUgAwsXg@HIDDEN>
From: bruce.connor.am@HIDDEN
Content-Type: multipart/alternative; boundary=089e015388b6af82fc05044568c0
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -2.7 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

--089e015388b6af82fc05044568c0
Content-Type: text/plain; charset=UTF-8

Hi,
It seems the longlines package has been marked obsolete for emacs 24.4, in
lieu of visual-line-mode.
<http://emacs.1067599.n5.nabble.com/Marking-longlines-mode-as-obsolete-td271094.html>

However, from what I understand, visual-line-mode isn't capable of wraping
lines to be shorter than window width, which was one of longlines' features.

Is longlines-mode really redundant? Or was it marked obsolete for another
reason.

Cheers,
Malabarba

--089e015388b6af82fc05044568c0
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div>Hi,<br></div>It seems the longlines package has =
been marked obsolete for emacs 24.4, <a href=3D"http://emacs.1067599.n5.nab=
ble.com/Marking-longlines-mode-as-obsolete-td271094.html">in lieu of visual=
-line-mode.</a><br><br></div><div>However, from what I understand, visual-l=
ine-mode isn&#39;t capable of wraping lines to be shorter than window width=
, which was one of longlines&#39; features.<br><br></div><div>Is longlines-=
mode really redundant? Or was it marked obsolete for another reason.<br><br=
></div><div>Cheers,<br></div><div>Malabarba<br></div></div>

--089e015388b6af82fc05044568c0--




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.503 (Entity 5.503)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: bruce.connor.am@HIDDEN
Subject: bug#18589: Acknowledgement (Why is the the longlines package
 obsolete?)
Message-ID: <handler.18589.B.141207112614498.ack <at> debbugs.gnu.org>
References: <CAAdUY-JcSwV5vnYQ+CEbqxTNXm0+TuA7k=jSm8PfwZYUgAwsXg@HIDDEN>
X-Gnu-PR-Message: ack 18589
X-Gnu-PR-Package: emacs
Reply-To: 18589 <at> debbugs.gnu.org
Date: Tue, 30 Sep 2014 09:59:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 18589 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
18589: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D18589
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18589: Why is the the longlines package obsolete?
In-Reply-To: <CAAdUY-JcSwV5vnYQ+CEbqxTNXm0+TuA7k=jSm8PfwZYUgAwsXg@HIDDEN>
Resent-From: Glenn Morris <rgm@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 30 Sep 2014 15:55:01 +0000
Resent-Message-ID: <handler.18589.B18589.141209246621366 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18589
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: bruce.connor.am@HIDDEN
Cc: 18589 <at> debbugs.gnu.org
Received: via spool by 18589-submit <at> debbugs.gnu.org id=B18589.141209246621366
          (code B ref 18589); Tue, 30 Sep 2014 15:55:01 +0000
Received: (at 18589) by debbugs.gnu.org; 30 Sep 2014 15:54:26 +0000
Received: from localhost ([127.0.0.1]:56491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XYzkv-0005YY-S7
	for submit <at> debbugs.gnu.org; Tue, 30 Sep 2014 11:54:26 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:59609)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1XYzkt-0005YP-PA
 for 18589 <at> debbugs.gnu.org; Tue, 30 Sep 2014 11:54:24 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1XYzkr-0000kc-U8; Tue, 30 Sep 2014 11:54:22 -0400
From: Glenn Morris <rgm@HIDDEN>
References: <CAAdUY-JcSwV5vnYQ+CEbqxTNXm0+TuA7k=jSm8PfwZYUgAwsXg@HIDDEN>
X-Spook: argus fundamentalist Medco domestic disruption military
X-Ran: !f<^bibD1*qa7ByMr-wNe@\Sf((>H)$=j'5?lCB7Ta)z_rYZY)7h&N$Q%54]4W`3s)b0}1
X-Hue: black
X-Attribution: GM
Date: Tue, 30 Sep 2014 11:54:21 -0400
Message-ID: <9xegutums2.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.7 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.7 (-----)

bruce.connor.am@HIDDEN wrote:

> It seems the longlines package has been marked obsolete for emacs 24.4, in
> lieu of visual-line-mode.

Yes, it was marked obsolete by its maintainer.
Since your question(s) is not a bug report, I will close it, but feel free
to keep discussing it here.
(If there are features you would like to see added to visual-line-mode,
please make a new bug report for each.)




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 30 Sep 2014 15:54:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 30 11:54:47 2014
Received: from localhost ([127.0.0.1]:56494 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XYzlH-0005Z7-DK
	for submit <at> debbugs.gnu.org; Tue, 30 Sep 2014 11:54:47 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:59620)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1XYzlF-0005Yz-2m
 for control <at> debbugs.gnu.org; Tue, 30 Sep 2014 11:54:46 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1XYzlE-0000zh-80
 for control <at> debbugs.gnu.org; Tue, 30 Sep 2014 11:54:44 -0400
Date: Tue, 30 Sep 2014 11:54:44 -0400
Message-Id: <E1XYzlE-0000zh-80@HIDDEN>
Subject: control message for bug 18589
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.1)
From: Glenn Morris <rgm@HIDDEN>
X-Spam-Score: -5.7 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.7 (-----)

severity 18589 wishlist
tag 18589 notabug
close 18589




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 30 Sep 2014 15:54:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 30 11:54:47 2014
Received: from localhost ([127.0.0.1]:56494 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XYzlH-0005Z7-DK
	for submit <at> debbugs.gnu.org; Tue, 30 Sep 2014 11:54:47 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:59620)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1XYzlF-0005Yz-2m
 for control <at> debbugs.gnu.org; Tue, 30 Sep 2014 11:54:46 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1XYzlE-0000zh-80
 for control <at> debbugs.gnu.org; Tue, 30 Sep 2014 11:54:44 -0400
Date: Tue, 30 Sep 2014 11:54:44 -0400
Message-Id: <E1XYzlE-0000zh-80@HIDDEN>
Subject: control message for bug 18589
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.1)
From: Glenn Morris <rgm@HIDDEN>
X-Spam-Score: -5.7 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.7 (-----)

severity 18589 wishlist
tag 18589 notabug
close 18589




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 30 Sep 2014 15:54:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 30 11:54:47 2014
Received: from localhost ([127.0.0.1]:56494 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XYzlH-0005Z7-DK
	for submit <at> debbugs.gnu.org; Tue, 30 Sep 2014 11:54:47 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:59620)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1XYzlF-0005Yz-2m
 for control <at> debbugs.gnu.org; Tue, 30 Sep 2014 11:54:46 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1XYzlE-0000zh-80
 for control <at> debbugs.gnu.org; Tue, 30 Sep 2014 11:54:44 -0400
Date: Tue, 30 Sep 2014 11:54:44 -0400
Message-Id: <E1XYzlE-0000zh-80@HIDDEN>
Subject: control message for bug 18589
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.1)
From: Glenn Morris <rgm@HIDDEN>
X-Spam-Score: -5.7 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.7 (-----)

severity 18589 wishlist
tag 18589 notabug
close 18589




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18589: Why is the the longlines package obsolete?
Resent-From: bruce.connor.am@HIDDEN
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 30 Sep 2014 16:19:01 +0000
Resent-Message-ID: <handler.18589.B18589.141209389928538 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18589
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: notabug
Cc: 18589 <at> debbugs.gnu.org
Reply-To: bruce.connor.am@HIDDEN
Received: via spool by 18589-submit <at> debbugs.gnu.org id=B18589.141209389928538
          (code B ref 18589); Tue, 30 Sep 2014 16:19:01 +0000
Received: (at 18589) by debbugs.gnu.org; 30 Sep 2014 16:18:19 +0000
Received: from localhost ([127.0.0.1]:56510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XZ081-0007QC-Vn
	for submit <at> debbugs.gnu.org; Tue, 30 Sep 2014 12:18:18 -0400
Received: from mail-ig0-f181.google.com ([209.85.213.181]:50086)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1XZ07y-0007Q2-Nn
 for 18589 <at> debbugs.gnu.org; Tue, 30 Sep 2014 12:18:15 -0400
Received: by mail-ig0-f181.google.com with SMTP id r10so1062005igi.2
 for <18589 <at> debbugs.gnu.org>; Tue, 30 Sep 2014 09:18:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:cc:content-type;
 bh=/E1GZLke44mbBqLCjnKs0b0H0mcmgkgDo4C3kY/5ITA=;
 b=co+Vwy6bfYM9jKjUMGj0J+x8os+MvWKibwBNW2IVs5N+nTPI51GLGrPbHicK1vo0BF
 SDrcNHX4Xcjsi1Yq4wne/4YUKWPnp97DOwIzhRXgAyUGEA9682yj2h9AIkADBguB2wgo
 ib9J2OnKDnSWPW2FlhY9qbavBZAACPpMbfC55w3vqiioHkoyEj7QFmFsHkpZjios+XAM
 7w6/7pWzdNGyrUJpa5IlElkbXRdXYp3pQVO93hIHWDSvtASDr6tT5n/VBTJpZGiqIkXn
 E0Y6Wp8mblXL+tDtHgddaoVN3/ean8nQoVr01L9EqbU+gBQ7qvd083s+QuB1brRJFEBs
 i8Vw==
MIME-Version: 1.0
X-Received: by 10.42.106.204 with SMTP id a12mr12873926icp.88.1412093894039;
 Tue, 30 Sep 2014 09:18:14 -0700 (PDT)
Received: by 10.64.9.241 with HTTP; Tue, 30 Sep 2014 09:18:13 -0700 (PDT)
Received: by 10.64.9.241 with HTTP; Tue, 30 Sep 2014 09:18:13 -0700 (PDT)
In-Reply-To: <9xegutums2.fsf@HIDDEN>
References: <CAAdUY-JcSwV5vnYQ+CEbqxTNXm0+TuA7k=jSm8PfwZYUgAwsXg@HIDDEN>
 <9xegutums2.fsf@HIDDEN>
Date: Tue, 30 Sep 2014 17:18:13 +0100
X-Google-Sender-Auth: PXkpXp6Rgo5OhsG-a7gek64fX0k
Message-ID: <CAAdUY-LK9kW-UxbL3OQEUq6UaLFxRPGbBafeOXH5RH22r72RYw@HIDDEN>
From: bruce.connor.am@HIDDEN
Content-Type: multipart/alternative; boundary=20cf304352b6f1a0e305044aba87
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Ok, thanks. Ok, thanks. [...] 
 Content analysis details:   (2.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (bruce.connor.am[at]gmail.com)
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [209.85.213.181 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.2 MISSING_HEADERS        Missing To: header
 0.0 HTML_MESSAGE           BODY: HTML included in message
 1.9 MALFORMED_FREEMAIL     Bad headers on message from free email service
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Ok, thanks. Ok, thanks. [...] 
 
 Content analysis details:   (2.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [209.85.213.181 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (bruce.connor.am[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.2 MISSING_HEADERS        Missing To: header
  0.0 HTML_MESSAGE           BODY: HTML included in message
  1.9 MALFORMED_FREEMAIL     Bad headers on message from free email service
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

--20cf304352b6f1a0e305044aba87
Content-Type: text/plain; charset=UTF-8

Ok, thanks.

--20cf304352b6f1a0e305044aba87
Content-Type: text/html; charset=UTF-8

<p dir="ltr">Ok, thanks.</p>

--20cf304352b6f1a0e305044aba87--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18589: Why is the the longlines package obsolete?
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 30 Sep 2014 18:21:02 +0000
Resent-Message-ID: <handler.18589.B18589.141210120612539 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18589
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: notabug
To: bruce.connor.am@HIDDEN
Cc: 18589 <at> debbugs.gnu.org
Received: via spool by 18589-submit <at> debbugs.gnu.org id=B18589.141210120612539
          (code B ref 18589); Tue, 30 Sep 2014 18:21:02 +0000
Received: (at 18589) by debbugs.gnu.org; 30 Sep 2014 18:20:06 +0000
Received: from localhost ([127.0.0.1]:56634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XZ21s-0003G8-Sb
	for submit <at> debbugs.gnu.org; Tue, 30 Sep 2014 14:20:05 -0400
Received: from mercure.iro.umontreal.ca ([132.204.24.67]:54902)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XZ21o-0003FX-W6
 for 18589 <at> debbugs.gnu.org; Tue, 30 Sep 2014 14:20:01 -0400
Received: from hidalgo.iro.umontreal.ca (hidalgo.iro.umontreal.ca
 [132.204.27.50])
 by mercure.iro.umontreal.ca (Postfix) with ESMTP id 4CDDE84FC0;
 Tue, 30 Sep 2014 14:20:00 -0400 (EDT)
Received: from lechon.iro.umontreal.ca (lechon.iro.umontreal.ca
 [132.204.27.242])
 by hidalgo.iro.umontreal.ca (Postfix) with ESMTP id 430C81E5B8D;
 Tue, 30 Sep 2014 14:19:36 -0400 (EDT)
Received: by lechon.iro.umontreal.ca (Postfix, from userid 20848)
 id 1DC63B40C1; Tue, 30 Sep 2014 14:19:36 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvh9zpj7w7.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-JcSwV5vnYQ+CEbqxTNXm0+TuA7k=jSm8PfwZYUgAwsXg@HIDDEN>
Date: Tue, 30 Sep 2014 14:19:36 -0400
In-Reply-To: <CAAdUY-JcSwV5vnYQ+CEbqxTNXm0+TuA7k=jSm8PfwZYUgAwsXg@HIDDEN>
 (bruce connor am's message of "Tue, 30 Sep 2014 10:57:19 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-DIRO-MailScanner-Information: Please contact the ISP for more information
X-DIRO-MailScanner: Found to be clean
X-DIRO-MailScanner-SpamCheck: n'est pas un polluriel,
 SpamAssassin (score=-2.82, requis 5, autolearn=not spam,
 ALL_TRUSTED -2.82, MC_TSTLAST 0.00)
X-DIRO-MailScanner-From: monnier@HIDDEN
X-Spam-Status: No
X-Spam-Score: -3.0 (---)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

> However, from what I understand, visual-line-mode isn't capable of wraping
> lines to be shorter than window width, which was one of longlines' features.

You can get the same result by fiddling with the window margins or by
splitting your window.  I seem to remember someone writing code to do
that conveniently, but I wouldn't know where to find it.

> Is longlines-mode really redundant?

visual-lines-mode provides the feature for which longlines-mode was
written, so in this sense it's definitely obsolete/redundant.

Of course, by virtue of working differently, it might provide some
functionality which visual-lines-mode can't provide.  But "lines shorter
than the window" is not really one of them.

Recently someone pointed out that using longlines-mode in a buffer that
contain *very* long lines makes it possible to view&edit the buffer
without suffering unbearable performance problems.  So maybe in this
sense it's not completely obsolete.


        Stefan




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18589: Why is the the longlines package obsolete?
Resent-From: bruce.connor.am@HIDDEN
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 30 Sep 2014 23:41:01 +0000
Resent-Message-ID: <handler.18589.B18589.141212041510621 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18589
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: notabug
To: Stefan Monnier <monnier@HIDDEN>
Cc: 18589 <at> debbugs.gnu.org
Reply-To: bruce.connor.am@HIDDEN
Received: via spool by 18589-submit <at> debbugs.gnu.org id=B18589.141212041510621
          (code B ref 18589); Tue, 30 Sep 2014 23:41:01 +0000
Received: (at 18589) by debbugs.gnu.org; 30 Sep 2014 23:40:15 +0000
Received: from localhost ([127.0.0.1]:56737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XZ71i-0002lE-Cn
	for submit <at> debbugs.gnu.org; Tue, 30 Sep 2014 19:40:14 -0400
Received: from mail-oi0-f45.google.com ([209.85.218.45]:44325)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1XZ71e-0002l3-VQ
 for 18589 <at> debbugs.gnu.org; Tue, 30 Sep 2014 19:40:11 -0400
Received: by mail-oi0-f45.google.com with SMTP id i138so14979oig.32
 for <18589 <at> debbugs.gnu.org>; Tue, 30 Sep 2014 16:40:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=Q52SbXGaMZReYcOC6CtakmkexLm+uABcL4aMQ+6kH6M=;
 b=SJA0tMeb0tL6MCSBJXm7dAtS8s3GdG/v1s7FwiZSzSrbAJdFrOk51ORW13JZBoMlWp
 FuoGolugH3wBu2Mp345QEuWjaLG2mzIDjaE3N0+3TMZoCaJX5e/JQ5YU41HdvuPoD3xW
 EbVYpHwMMP8JxgIDDqYBMqS91pBBtukN8HiaIaWrJSWU2L8AsBszEjPqV6MgtWgRqGK3
 +45ReGj8ve+DXc/q29DsAIWI9RqLGv0UvyTlv7KqTHevNilQVzrXwNd7VI018PvNcozL
 g2FM4rw+Oa2ceNLZAe3kQbt+Xz+q9DJeUlUThscxgQysnAJifK38DpPm1MWNxeE02L0n
 YwlQ==
MIME-Version: 1.0
X-Received: by 10.182.233.228 with SMTP id tz4mr27170049obc.62.1412120409902; 
 Tue, 30 Sep 2014 16:40:09 -0700 (PDT)
Received: by 10.76.108.197 with HTTP; Tue, 30 Sep 2014 16:40:09 -0700 (PDT)
In-Reply-To: <jwvh9zpj7w7.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-JcSwV5vnYQ+CEbqxTNXm0+TuA7k=jSm8PfwZYUgAwsXg@HIDDEN>
 <jwvh9zpj7w7.fsf-monnier+emacsbugs@HIDDEN>
Date: Wed, 1 Oct 2014 00:40:09 +0100
X-Google-Sender-Auth: PbvHhQJE7ZrY-XQ__qZ5w15_Ku0
Message-ID: <CAAdUY-K7X8NatBARi8PwuK8qSBaJGc6hetMa+_Jj7-EGPDCO2w@HIDDEN>
From: bruce.connor.am@HIDDEN
Content-Type: multipart/alternative; boundary=001a11c3060069961e050450e7b6
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a11c3060069961e050450e7b6
Content-Type: text/plain; charset=UTF-8

On 30 Sep 2014 19:19, "Stefan Monnier" <monnier@HIDDEN> wrote:
>
> > However, from what I understand, visual-line-mode isn't capable of
wraping
> > lines to be shorter than window width, which was one of longlines'
features.
>
> You can get the same result by fiddling with the window margins or by
> splitting your window.
>
> Of course, by virtue of working differently, it might provide some
> functionality which visual-lines-mode can't provide.  But "lines shorter
> than the window" is not really one of them.
>

In my case, I managed to make longlines-mode wrap text while not wrapping
equations (LaTeX-mode). I also got it to indent wrapped lines correctly.
Both of which you can't do if you take the "change the margin" approach.

I understand this is a very specific hack, and doesn't justify unobsoleting
the package. But for the record, the code can be found here.
http://endlessparentheses.com/longlines-mode-in-latex.html


Thanks

Artur Malabarba

--001a11c3060069961e050450e7b6
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><p>On 30 Sep 2014 19:19, &quot;Stefan Monnier&quot; &lt;<a=
 href=3D"" title=3D"">monnier@HIDDEN</a>&gt; wrote: <br>
&gt; <br>
&gt; &gt; However, from what I understand, visual-line-mode isn&#39;t capab=
le of wraping <br>
&gt; &gt; lines to be shorter than window width, which was one of longlines=
&#39; features. <br>
&gt; <br>
&gt; You can get the same result by fiddling with the window margins or by =
<br>
&gt; splitting your window.=C2=A0 <br>
&gt; <br>
&gt; Of course, by virtue of working differently, it might provide some <br=
>
&gt; functionality which visual-lines-mode can&#39;t provide.=C2=A0 But &qu=
ot;lines shorter <br>
&gt; than the window&quot; is not really one of them. <br>
&gt;</p>

<p>In my case, I managed to make longlines-mode wrap text while not wrappin=
g equations (LaTeX-mode). I also got it to indent wrapped lines correctly. =
Both of which you can&#39;t do if you take the &quot;change the margin&quot=
; approach.<br></p>

<p>I understand this is a very specific hack, and doesn&#39;t justify unobs=
oleting the package. But for the record, the code can be found here. <br>
<a href=3D"http://endlessparentheses.com/longlines-mode-in-latex.html">http=
://endlessparentheses.com/longlines-mode-in-latex.html</a></p><p><br></p><p=
>Thanks</p><p>Artur Malabarba<br></p>
</div>

--001a11c3060069961e050450e7b6--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18589: Why is the the longlines package obsolete?
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 01 Oct 2014 01:34:02 +0000
Resent-Message-ID: <handler.18589.B18589.141212719323184 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18589
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: notabug
To: bruce.connor.am@HIDDEN
Cc: 18589 <at> debbugs.gnu.org
Received: via spool by 18589-submit <at> debbugs.gnu.org id=B18589.141212719323184
          (code B ref 18589); Wed, 01 Oct 2014 01:34:02 +0000
Received: (at 18589) by debbugs.gnu.org; 1 Oct 2014 01:33:13 +0000
Received: from localhost ([127.0.0.1]:56777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XZ8n2-00061r-8j
	for submit <at> debbugs.gnu.org; Tue, 30 Sep 2014 21:33:12 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:13339)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XZ8mv-00061e-De
 for 18589 <at> debbugs.gnu.org; Tue, 30 Sep 2014 21:33:10 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AtgGAIDvNVNFxKjo/2dsb2JhbABZgwY7gw+/H4EegRcXdIIlAQEBAQIBViMFCws0EhQYDYgoCA3SDBeOegcWhCIElGMFlDGBaoNMIQ
X-IPAS-Result: AtgGAIDvNVNFxKjo/2dsb2JhbABZgwY7gw+/H4EegRcXdIIlAQEBAQIBViMFCws0EhQYDYgoCA3SDBeOegcWhCIElGMFlDGBaoNMIQ
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="91347224"
Received: from 69-196-168-232.dsl.teksavvy.com (HELO pastel.home)
 ([69.196.168.232])
 by ironport2-out.teksavvy.com with ESMTP/TLS/DHE-RSA-AES256-SHA;
 30 Sep 2014 21:33:04 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 1298A7CD1; Tue, 30 Sep 2014 21:33:04 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvfvf8zirr.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-JcSwV5vnYQ+CEbqxTNXm0+TuA7k=jSm8PfwZYUgAwsXg@HIDDEN>
 <jwvh9zpj7w7.fsf-monnier+emacsbugs@HIDDEN>
 <CAAdUY-K7X8NatBARi8PwuK8qSBaJGc6hetMa+_Jj7-EGPDCO2w@HIDDEN>
Date: Tue, 30 Sep 2014 21:33:04 -0400
In-Reply-To: <CAAdUY-K7X8NatBARi8PwuK8qSBaJGc6hetMa+_Jj7-EGPDCO2w@HIDDEN>
 (bruce connor am's message of "Wed, 1 Oct 2014 00:40:09 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> In my case, I managed to make longlines-mode wrap text while not wrapping
> equations (LaTeX-mode).

It would be interesting to extend visual-lines-mode so you can prevent
wrapping of some lines (or prevent wrapping at particular places, as is
done with fill-nobreak-functions).

> I also got it to indent wrapped lines correctly.

adaptive-wrap-mode is another approach at indenting wrapped lines
correctly (but for visual-lines-mode).  I don't guarantee it works well
for LaTeX, tho (I don't think it uses the indent-according-to-mode code,
but rather uses the adaptive-fill-mode code).

> I understand this is a very specific hack, and doesn't justify unobsoleting
> the package. But for the record, the code can be found here.
> http://endlessparentheses.com/longlines-mode-in-latex.html

I wouldn't mind de-obsoleting it.  If you're interested, I think it
would be nice to change longlines.el by adding some hooks to it so you
can cleanly make it work like you do (without overwriting its functions).
Feel like taking over maintainership?


        Stefan


PS: BTW, I don't understand why people want to use
single-line-paragraphs for "LaTeX under version control".  It means that
any change to a paragraph will always appear in the diff as a change to
the whole paragraph, rather than just to the specific line on which the
change happened.  Of course, refilling a paragraph may cause the whole
paragraph to show up in the diff, but as long as you only refill when
you make changes, it's never worse than the "single-line
paragraphs" approach.  And `diff-refine-hunk' lets you see which part of
the paragraph was really changed.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18589: Why is the the longlines package obsolete?
Resent-From: bruce.connor.am@HIDDEN
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 01 Oct 2014 08:02:02 +0000
Resent-Message-ID: <handler.18589.B18589.141215048332569 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18589
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: notabug
To: Stefan Monnier <monnier@HIDDEN>
Cc: 18589 <at> debbugs.gnu.org
Reply-To: bruce.connor.am@HIDDEN
Received: via spool by 18589-submit <at> debbugs.gnu.org id=B18589.141215048332569
          (code B ref 18589); Wed, 01 Oct 2014 08:02:02 +0000
Received: (at 18589) by debbugs.gnu.org; 1 Oct 2014 08:01:23 +0000
Received: from localhost ([127.0.0.1]:56839 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XZEqg-0008TF-8s
	for submit <at> debbugs.gnu.org; Wed, 01 Oct 2014 04:01:22 -0400
Received: from mail-ob0-f171.google.com ([209.85.214.171]:53939)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1XZEqd-0008T5-FB
 for 18589 <at> debbugs.gnu.org; Wed, 01 Oct 2014 04:01:20 -0400
Received: by mail-ob0-f171.google.com with SMTP id va2so222497obc.30
 for <18589 <at> debbugs.gnu.org>; Wed, 01 Oct 2014 01:01:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=jepPrRzK0UkXKc8ISplXCG/Y00k4OTpJVryJDV2QMbM=;
 b=R/T2atglKa2K9NoAhWVSVhMf3FiJLimn6C/qnw+pr82Y2eFWvf3kQvXGXA2YIubnqQ
 6N9EtHSzlJRI/++5w01aCw9/nCU7wxYLx7D94qxzxUeIiPPtESd+/isglGBdnKRPlDng
 VmeTwmS9CIdTEBxqjU0rAipOqbb/qF5pB3mQDlTGfbixR4Hd3AfynF6T5IQx8I1O8gkM
 YgwI2VxNzCai0R+nPn80MqvCqBfBmaPjTx2oqjiKO2JJklpwO5k7ZINBQrDT+TR0jIcN
 V2Vuwlsi/hpiCWGDvu7zG8ru/tZx3tJ00nLqooKJjNsGNscq/HC49//z7gi5zsN5oNZX
 fTOg==
MIME-Version: 1.0
X-Received: by 10.60.145.143 with SMTP id su15mr53828344oeb.58.1412150478261; 
 Wed, 01 Oct 2014 01:01:18 -0700 (PDT)
Received: by 10.76.108.197 with HTTP; Wed, 1 Oct 2014 01:01:18 -0700 (PDT)
In-Reply-To: <jwvfvf8zirr.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-JcSwV5vnYQ+CEbqxTNXm0+TuA7k=jSm8PfwZYUgAwsXg@HIDDEN>
 <jwvh9zpj7w7.fsf-monnier+emacsbugs@HIDDEN>
 <CAAdUY-K7X8NatBARi8PwuK8qSBaJGc6hetMa+_Jj7-EGPDCO2w@HIDDEN>
 <jwvfvf8zirr.fsf-monnier+emacsbugs@HIDDEN>
Date: Wed, 1 Oct 2014 09:01:18 +0100
X-Google-Sender-Auth: Q97gKzSsJGM2WpEaMbThQsgfDcg
Message-ID: <CAAdUY-+JyLG6QMLXjJBiYe_AQN6zgrMJVuZMHc_f7jhMEC6HpA@HIDDEN>
From: bruce.connor.am@HIDDEN
Content-Type: multipart/alternative; boundary=047d7b5d4882a055ff050457e75e
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--047d7b5d4882a055ff050457e75e
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

>
> It would be interesting to extend visual-lines-mode so you can prevent
> wrapping of some lines
>
If I understand things correctly, visual-line-mode only wraps lines when
they=E2=80=99re longer than the window-width (or window-width - margins), s=
o making
it not wrap some lines would only cause them to extend beyond the window=E2=
=80=99s
boundaries.

> adaptive-wrap-mode is another approach at indenting wrapped lines
> correctly (but for visual-lines-mode).  I don't guarantee it works well
> for LaTeX, tho (I don't think it uses the indent-according-to-mode code,
> but rather uses the adaptive-fill-mode code).
>
Thanks, under a few initial tests, it does seem to fix the indentation!

> I wouldn't mind de-obsoleting it.  If you're interested, I think it
> would be nice to change longlines.el by adding some hooks to it so you
> can cleanly make it work like you do (without overwriting its functions).
> Feel like taking over maintainership?
>
Sure, I could take over. What would that involve?

> PS: BTW, I don't understand why people want to use
> single-line-paragraphs for "LaTeX under version control".
>
Me neither, and I agree with everything you said here. The approach I=E2=80=
=99m
taking is with sentences.

If you give each sentence its own line then, when you change a sentence,
the rest of the paragraph doesn=E2=80=99t show up on the diff.

Best Regards,
Artur Malabarba

--047d7b5d4882a055ff050457e75e
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><blockquote style=3D"margin:0px 0px 0px 0.8ex;border-left:=
1px solid rgb(204,204,204);padding-left:1ex" class=3D"gmail_quote">
  <p>It would be interesting to extend visual-lines-mode so you can prevent=
 <br>
wrapping of some lines </p>
</blockquote>

<p>If I understand things correctly, visual-line-mode only wraps lines when=
 they=E2=80=99re longer than the window-width (or window-width - margins), =
so making it not wrap some lines would only cause them to extend beyond the=
 window=E2=80=99s boundaries.</p>

<blockquote style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204=
,204,204);padding-left:1ex" class=3D"gmail_quote">
  <p>adaptive-wrap-mode is another approach at indenting wrapped lines <br>
correctly (but for visual-lines-mode).=C2=A0 I don&#39;t guarantee it works=
 well <br>
for LaTeX, tho (I don&#39;t think it uses the indent-according-to-mode code=
, <br>
but rather uses the adaptive-fill-mode code).  </p>
</blockquote>

<p>Thanks, under a few initial tests, it does seem to fix the indentation!<=
/p>

<blockquote style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204=
,204,204);padding-left:1ex" class=3D"gmail_quote">
  <p>I wouldn&#39;t mind de-obsoleting it.=C2=A0 If you&#39;re interested, =
I think it <br>
would be nice to change longlines.el by adding some hooks to it so you <br>
can cleanly make it work like you do (without overwriting its functions). <=
br>
Feel like taking over maintainership?  </p>
</blockquote>

<p>Sure, I could take over. What would that involve?</p>

<blockquote style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204=
,204,204);padding-left:1ex" class=3D"gmail_quote">
  <p>PS: BTW, I don&#39;t understand why people want to use <br>
single-line-paragraphs for &quot;LaTeX under version control&quot;.=C2=A0 <=
/p>
</blockquote>

<p>Me neither, and I agree with everything you said here. The approach I=E2=
=80=99m taking is with sentences. </p>

<p>If you give each sentence its own line then, when you change a sentence,=
 the rest of the paragraph doesn=E2=80=99t show up on the diff.</p>

<p>Best Regards, <br>
Artur Malabarba</p>
</div>

--047d7b5d4882a055ff050457e75e--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#18589: Why is the the longlines package obsolete?
Resent-From: Glenn Morris <rgm@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 01 Oct 2014 20:40:02 +0000
Resent-Message-ID: <handler.18589.B18589.141219598020816 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 18589
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: notabug
To: Stefan Monnier <monnier@HIDDEN>
Cc: 18589 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
Received: via spool by 18589-submit <at> debbugs.gnu.org id=B18589.141219598020816
          (code B ref 18589); Wed, 01 Oct 2014 20:40:02 +0000
Received: (at 18589) by debbugs.gnu.org; 1 Oct 2014 20:39:40 +0000
Received: from localhost ([127.0.0.1]:57749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XZQgW-0005Pg-9l
	for submit <at> debbugs.gnu.org; Wed, 01 Oct 2014 16:39:40 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:38540)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1XZQgS-0005PT-3J
 for 18589 <at> debbugs.gnu.org; Wed, 01 Oct 2014 16:39:37 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1XZQgR-0000cQ-BY; Wed, 01 Oct 2014 16:39:35 -0400
From: Glenn Morris <rgm@HIDDEN>
References: <CAAdUY-JcSwV5vnYQ+CEbqxTNXm0+TuA7k=jSm8PfwZYUgAwsXg@HIDDEN>
 <jwvh9zpj7w7.fsf-monnier+emacsbugs@HIDDEN>
X-Spook: kilo class RSA Albanian Centro MD2 Plame Bosnia IMF
X-Ran: Ol7Biy2FC7p=cQBsA-c^EK.Bu1z$*^|>5uyG.ublrAKMy#_6kl`&&*5Bsu(uPy:%<k&kls
X-Hue: white
X-Attribution: GM
Date: Wed, 01 Oct 2014 16:39:35 -0400
In-Reply-To: <jwvh9zpj7w7.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Tue, 30 Sep 2014 14:19:36 -0400")
Message-ID: <apd2abikxk.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.6 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

Stefan Monnier wrote:

>> However, from what I understand, visual-line-mode isn't capable of wraping
>> lines to be shorter than window width, which was one of longlines' features.
>
> You can get the same result by fiddling with the window margins or by
> splitting your window.  I seem to remember someone writing code to do
> that conveniently, but I wouldn't know where to find it.

http://lists.gnu.org/archive/html/emacs-devel/2013-12/msg00475.html




Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: bug archived.
Date: Thu, 30 Oct 2014 11:24:05 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# bug archived.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 6 Oct 2021 23:16:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 06 19:16:13 2021
Received: from localhost ([127.0.0.1]:45706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYG8z-0001cU-4Z
	for submit <at> debbugs.gnu.org; Wed, 06 Oct 2021 19:16:13 -0400
Received: from mail-pg1-f171.google.com ([209.85.215.171]:35671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mYG8s-0001RB-Jm
 for control <at> debbugs.gnu.org; Wed, 06 Oct 2021 19:16:10 -0400
Received: by mail-pg1-f171.google.com with SMTP id e7so3869183pgk.2
 for <control <at> debbugs.gnu.org>; Wed, 06 Oct 2021 16:16:06 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=4M//PYtkK/LMQzD2mIG8PMA8CHPyALPaupWeCwObBUA=;
 b=JtoT7ebCli64qdkLaieFfFfzpw5PP8b2K18wp1EK5qbLYFnA1+6a6R3OWM8rQwAmsR
 B++IEiIgvSEIB+hRcKjAR7HFNLMY2Z/ZDshXlXQ3tUknACHxnIKayaB2g9eWvPn/iBFf
 xQSOgWwJxn/0ijSu/TmpRPKZv0NPgFq5vWmSIJBpCKxZh8+aa5L6pZDJBO/b0bg/xK+k
 doKxFf07BGcrlv18LbjjrGoqNVgZz8aSmBtZ6mvEsopkpKPUNsM8jhbjBNiiehR0ruts
 TNm1Ts4DJt0FKzPUWRWbUoexlaZTZgqF13tC+Un4/+Cy0hrZ06Dw50Kr4O2piMn6lmIp
 5QkA==
X-Gm-Message-State: AOAM532E2FQbRWVay8+bPU6Cyz/I7b5W0CHUFdBmCAbKvvINkkjFdKLX
 VkjhUZiekiQg/KxMmIlOMjOS7oRAPeWAQ39sieY=
X-Google-Smtp-Source: ABdhPJzt0lHlj+4G2YRIWxOxgO9pZrFTeAp4R6AvN+UbJ0zBPq21JcvoUpvPy8ZtTswhIHKCm+SadABVsBluo9qR6KI=
X-Received: by 2002:a63:4717:: with SMTP id u23mr633569pga.359.1633562160786; 
 Wed, 06 Oct 2021 16:16:00 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 6 Oct 2021 19:16:00 -0400
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87pmsiecfu.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 06 Oct 2021 11:21:09 +0200")
References: <9ae936c82a87607abd814ae6cd7ef95b@HIDDEN>
 <87pmsiecfu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Wed, 6 Oct 2021 19:16:00 -0400
Message-ID: <CADwFkmkhEOm3GmEPMsmnycjZq=121xoGj3UGmDyMga65QNLhAg@HIDDEN>
Subject: Re: bug#51051: Restore longlines.el to non-obsolete status
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Bcc: control <at> debbugs.gnu.org
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: control
Cc: Phil Sainty <psainty@HIDDEN>, Glenn Morris <rgm@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, 51051 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

unarchive 18589
reopen 18589
forcemerge 18589 51051
tags 18589 - notabug
thanks

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Phil Sainty <psainty@HIDDEN> writes:
>
>> As longlines.el is still valuable for reasons unrelated to
>> visual-line-mode, I'd like it to be restored to non-obsolete
>> status.
>
> I think that makes sense.  Does anybody else object?

There was a previous discussion in Bug#18589 (now merged):

    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=18589

It seems like Stefan Monnier's take was this:

> Recently someone pointed out that using longlines-mode in a buffer that
> contain *very* long lines makes it possible to view&edit the buffer
> without suffering unbearable performance problems.  So maybe in this
> sense it's not completely obsolete.

And:

> I wouldn't mind de-obsoleting it.

The last message in Bug#18589 links here:

    https://lists.gnu.org/archive/html/emacs-devel/2013-12/msg00475.html

(I'm copying in Stefan and Glenn, in case they have something to add.)




Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: Did not alter fixed versions and reopened.
Date: Wed, 06 Oct 2021 23:17:02 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# Did not alter fixed versions and reopened.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 6 Oct 2021 23:16:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 06 19:16:13 2021
Received: from localhost ([127.0.0.1]:45706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYG8z-0001cU-4Z
	for submit <at> debbugs.gnu.org; Wed, 06 Oct 2021 19:16:13 -0400
Received: from mail-pg1-f171.google.com ([209.85.215.171]:35671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mYG8s-0001RB-Jm
 for control <at> debbugs.gnu.org; Wed, 06 Oct 2021 19:16:10 -0400
Received: by mail-pg1-f171.google.com with SMTP id e7so3869183pgk.2
 for <control <at> debbugs.gnu.org>; Wed, 06 Oct 2021 16:16:06 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=4M//PYtkK/LMQzD2mIG8PMA8CHPyALPaupWeCwObBUA=;
 b=JtoT7ebCli64qdkLaieFfFfzpw5PP8b2K18wp1EK5qbLYFnA1+6a6R3OWM8rQwAmsR
 B++IEiIgvSEIB+hRcKjAR7HFNLMY2Z/ZDshXlXQ3tUknACHxnIKayaB2g9eWvPn/iBFf
 xQSOgWwJxn/0ijSu/TmpRPKZv0NPgFq5vWmSIJBpCKxZh8+aa5L6pZDJBO/b0bg/xK+k
 doKxFf07BGcrlv18LbjjrGoqNVgZz8aSmBtZ6mvEsopkpKPUNsM8jhbjBNiiehR0ruts
 TNm1Ts4DJt0FKzPUWRWbUoexlaZTZgqF13tC+Un4/+Cy0hrZ06Dw50Kr4O2piMn6lmIp
 5QkA==
X-Gm-Message-State: AOAM532E2FQbRWVay8+bPU6Cyz/I7b5W0CHUFdBmCAbKvvINkkjFdKLX
 VkjhUZiekiQg/KxMmIlOMjOS7oRAPeWAQ39sieY=
X-Google-Smtp-Source: ABdhPJzt0lHlj+4G2YRIWxOxgO9pZrFTeAp4R6AvN+UbJ0zBPq21JcvoUpvPy8ZtTswhIHKCm+SadABVsBluo9qR6KI=
X-Received: by 2002:a63:4717:: with SMTP id u23mr633569pga.359.1633562160786; 
 Wed, 06 Oct 2021 16:16:00 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 6 Oct 2021 19:16:00 -0400
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87pmsiecfu.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 06 Oct 2021 11:21:09 +0200")
References: <9ae936c82a87607abd814ae6cd7ef95b@HIDDEN>
 <87pmsiecfu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Wed, 6 Oct 2021 19:16:00 -0400
Message-ID: <CADwFkmkhEOm3GmEPMsmnycjZq=121xoGj3UGmDyMga65QNLhAg@HIDDEN>
Subject: Re: bug#51051: Restore longlines.el to non-obsolete status
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Bcc: control <at> debbugs.gnu.org
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: control
Cc: Phil Sainty <psainty@HIDDEN>, Glenn Morris <rgm@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, 51051 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

unarchive 18589
reopen 18589
forcemerge 18589 51051
tags 18589 - notabug
thanks

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Phil Sainty <psainty@HIDDEN> writes:
>
>> As longlines.el is still valuable for reasons unrelated to
>> visual-line-mode, I'd like it to be restored to non-obsolete
>> status.
>
> I think that makes sense.  Does anybody else object?

There was a previous discussion in Bug#18589 (now merged):

    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=18589

It seems like Stefan Monnier's take was this:

> Recently someone pointed out that using longlines-mode in a buffer that
> contain *very* long lines makes it possible to view&edit the buffer
> without suffering unbearable performance problems.  So maybe in this
> sense it's not completely obsolete.

And:

> I wouldn't mind de-obsoleting it.

The last message in Bug#18589 links here:

    https://lists.gnu.org/archive/html/emacs-devel/2013-12/msg00475.html

(I'm copying in Stefan and Glenn, in case they have something to add.)




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 6 Oct 2021 23:16:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 06 19:16:13 2021
Received: from localhost ([127.0.0.1]:45706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYG8z-0001cU-4Z
	for submit <at> debbugs.gnu.org; Wed, 06 Oct 2021 19:16:13 -0400
Received: from mail-pg1-f171.google.com ([209.85.215.171]:35671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mYG8s-0001RB-Jm
 for control <at> debbugs.gnu.org; Wed, 06 Oct 2021 19:16:10 -0400
Received: by mail-pg1-f171.google.com with SMTP id e7so3869183pgk.2
 for <control <at> debbugs.gnu.org>; Wed, 06 Oct 2021 16:16:06 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=4M//PYtkK/LMQzD2mIG8PMA8CHPyALPaupWeCwObBUA=;
 b=JtoT7ebCli64qdkLaieFfFfzpw5PP8b2K18wp1EK5qbLYFnA1+6a6R3OWM8rQwAmsR
 B++IEiIgvSEIB+hRcKjAR7HFNLMY2Z/ZDshXlXQ3tUknACHxnIKayaB2g9eWvPn/iBFf
 xQSOgWwJxn/0ijSu/TmpRPKZv0NPgFq5vWmSIJBpCKxZh8+aa5L6pZDJBO/b0bg/xK+k
 doKxFf07BGcrlv18LbjjrGoqNVgZz8aSmBtZ6mvEsopkpKPUNsM8jhbjBNiiehR0ruts
 TNm1Ts4DJt0FKzPUWRWbUoexlaZTZgqF13tC+Un4/+Cy0hrZ06Dw50Kr4O2piMn6lmIp
 5QkA==
X-Gm-Message-State: AOAM532E2FQbRWVay8+bPU6Cyz/I7b5W0CHUFdBmCAbKvvINkkjFdKLX
 VkjhUZiekiQg/KxMmIlOMjOS7oRAPeWAQ39sieY=
X-Google-Smtp-Source: ABdhPJzt0lHlj+4G2YRIWxOxgO9pZrFTeAp4R6AvN+UbJ0zBPq21JcvoUpvPy8ZtTswhIHKCm+SadABVsBluo9qR6KI=
X-Received: by 2002:a63:4717:: with SMTP id u23mr633569pga.359.1633562160786; 
 Wed, 06 Oct 2021 16:16:00 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 6 Oct 2021 19:16:00 -0400
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87pmsiecfu.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 06 Oct 2021 11:21:09 +0200")
References: <9ae936c82a87607abd814ae6cd7ef95b@HIDDEN>
 <87pmsiecfu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Wed, 6 Oct 2021 19:16:00 -0400
Message-ID: <CADwFkmkhEOm3GmEPMsmnycjZq=121xoGj3UGmDyMga65QNLhAg@HIDDEN>
Subject: Re: bug#51051: Restore longlines.el to non-obsolete status
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Bcc: control <at> debbugs.gnu.org
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: control
Cc: Phil Sainty <psainty@HIDDEN>, Glenn Morris <rgm@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, 51051 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

unarchive 18589
reopen 18589
forcemerge 18589 51051
tags 18589 - notabug
thanks

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Phil Sainty <psainty@HIDDEN> writes:
>
>> As longlines.el is still valuable for reasons unrelated to
>> visual-line-mode, I'd like it to be restored to non-obsolete
>> status.
>
> I think that makes sense.  Does anybody else object?

There was a previous discussion in Bug#18589 (now merged):

    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=18589

It seems like Stefan Monnier's take was this:

> Recently someone pointed out that using longlines-mode in a buffer that
> contain *very* long lines makes it possible to view&edit the buffer
> without suffering unbearable performance problems.  So maybe in this
> sense it's not completely obsolete.

And:

> I wouldn't mind de-obsoleting it.

The last message in Bug#18589 links here:

    https://lists.gnu.org/archive/html/emacs-devel/2013-12/msg00475.html

(I'm copying in Stefan and Glenn, in case they have something to add.)





Last modified: Wed, 6 Oct 2021 23:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.